Subject: [Mgs] MGB evaporative loss system

From: Allen Hess <[email-masked]>
Date: Fri, 21 Aug 2020 10:16:54 -0400

71 mgb. A few years ago after the first startup in the Spring, I drove around the neighborhood to check things out. The car bogged down and I struggled to get home. Fuel had filled the charcoal canister and running out the bottom. The original floats showed some wear on the pivots, but not so much that I thought it would be the problem. Couldn’t find anything else so replaced the floats and valves and it has been fine since. This year I didn’t start up until May or June, same thing happened. 

Checked everything, no blockage, debris, worn parts. An internet posting mentioned the pipe union (near the fuel pump) that connects the charcoal canister to the “widget” in the trunk. That too was clean. Purged the charcoal of gasoline (see John Twist) put it all back together. Fuel pump ticks briskly and stops before starting. I’ve driven around the neighborhood a couple more times and it seems fine. Not being able to find a cause and fix it leaves me worried about longer drives. Any thoughts?

Allen
_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.75

Archive: http://www.team.net/pipermail/mgs http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]